Subject: Re: Porting "prep" from ppc to powerpc.

From: Gabriel Paubert <[email-masked]>
Date: Mon, 28 May 2007 09:55:07 +0200

On Fri, May 25, 2007 at 10:38:39PM -0400, Rob Landley wrote:
> Is anyone already doing this?  

I'm interested but I don't have the time right now.

> I asked around here a few weeks ago and got the 
> advice:
> 
> > In theory.. copy the files from ppc/platforms/prep.* to
> > powerpc/platforms/prep/ 
> > and make some Kconfigs and see what breaks :)
> 
> Unfortunately, there isn't a ppc/platforms/prep.  Under arch/ppc there's:
> 
> ./boot/simple/misc-prep.c
> ./boot/simple/prepmap.c
> ./boot/utils/mkprep.c
> ./configs/prep_defconfig
> ./platforms/prep_pci.c
> ./platforms/prep_setup.c
> ./syslib/prep_nvram.c
> 
> And I'm not sure which are relevant.  Any hints?

I was thinking of writing a bootwrapper that would
convert residual data to flat device tree. There
is a lot of valuable information in the residual data,
like the interrupt routing (which is correct if you 
can read the spec, which is not what the code in
arch/ppc did).

	Gabriel